# Use the official Node.js image as the base image
FROM node:14-alpine

# Set the working directory in the container
WORKDIR /app

# Copy the package.json and package-lock.json files to the container
COPY package*.json ./

# Install the dependencies
RUN npm install

# Copy the application code to the container
COPY index.js .

# Expose the port that the application will run on
EXPOSE 3000

# Start the application
CMD [ "node", "index.js" ]